#ifndef XFXFLOATRANGE_H
#define XFXFLOATRANGE_H

#include "xasset.h"

class XFxFloatRange : public XAsset
{
public:
    explicit XFxFloatRange();
    ~XFxFloatRange();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    float mBase;
    float mAmplitude;
};

#endif // XFXFLOATRANGE_H
